Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJeff Johnston2017-04-25 14:18:45 -0400
committerJeff Johnston2017-04-25 14:18:45 -0400
commita3f86fbc59be9b0010963d8ab0d08dc46f36f591 (patch)
treea04a41fc419eecc5771bfc2cfb8b143c348fc0b6
parent02e76cb88bf63c1ee36f59d2d90faf2b98eb8eca (diff)
downloadorg.eclipse.linuxtools-neon3respin.tar.gz
org.eclipse.linuxtools-neon3respin.tar.xz
org.eclipse.linuxtools-neon3respin.zip
Fix the versions of docker-client, slf4j, and jackson dependenciesneon3respin
- specify which versions of the plug-ins to download in linuxtools-e4.6.target - specify versions that docker.core will accept for docker-client and jackson dependencies Change-Id: I2fc5da9e7db61cf3547f131741ec01293830ad9b
-rw-r--r--containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF9
-rw-r--r--releng/org.eclipse.linuxtools.target/linuxtools-e4.6.target19
2 files changed, 17 insertions, 11 deletions
diff --git a/containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF b/containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF
index bafbe04b04..ea112ae157 100644
--- a/containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF
+++ b/containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF
@@ -11,7 +11,7 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="3.12.0",
org.eclipse.equinox.registry;bundle-version="0.0.0",
org.eclipse.equinox.security,
org.eclipse.osgi,
- com.spotify.docker.client;bundle-version="3.4.0",
+ com.spotify.docker.client;bundle-version="[3.4.0, 3.6.8)",
jnr.unixsocket;bundle-version="0.4.0",
jnr.enxio;bundle-version="0.5.0",
javax.ws.rs;bundle-version="2.0.1",
@@ -19,10 +19,15 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="3.12.0",
org.glassfish.jersey.media.jersey-media-json-jackson;bundle-version="2.14.0",
org.glassfish.jersey.core.jersey-common;bundle-version="2.14.0",
org.eclipse.tm.terminal.view.core;bundle-version="4.0.0",
+ com.fasterxml.jackson.core.jackson-annotations;bundle-version="[2.5.0,2.6.0)",
+ com.fasterxml.jackson.core.jackson-core;bundle-version="[2.5.0,2.6.0)",
+ com.fasterxml.jackson.core.jackson-databind;bundle-version="[2.5.0,2.6.0)",
+ com.fasterxml.jackson.datatype.jackson-datatype-guava;bundle-version="[2.5.0,2.6.0)",
+ com.fasterxml.jackson.jaxrs.jackson-jaxrs-base;bundle-version="[2.5.0,2.6.0)",
+ com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider;bundle-version="[2.5.0,2.6.0)",
org.eclipse.debug.core;bundle-version="3.10.100"
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Export-Package: org.eclipse.linuxtools.docker.core,
org.eclipse.linuxtools.internal.docker.core;x-friends:="org.eclipse.linuxtools.docker.ui,org.eclipse.linuxtools.docker.ui.tests"
-Import-Package: com.fasterxml.jackson.annotation;version="2.5.0"
Bundle-ClassPath: .
diff --git a/releng/org.eclipse.linuxtools.target/linuxtools-e4.6.target b/releng/org.eclipse.linuxtools.target/linuxtools-e4.6.target
index c03c00c8ea..b520d9995c 100644
--- a/releng/org.eclipse.linuxtools.target/linuxtools-e4.6.target
+++ b/releng/org.eclipse.linuxtools.target/linuxtools-e4.6.target
@@ -6,19 +6,20 @@
<unit id="org.cyberneko.html" version="0.0.0"/>
<unit id="org.apache.xerces" version="0.0.0"/>
<unit id="org.objectweb.asm" version="0.0.0"/>
-<unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="0.0.0"/>
-<unit id="com.fasterxml.jackson.core.jackson-annotations" version="0.0.0"/>
-<unit id="com.fasterxml.jackson.core.jackson-core" version="0.0.0"/>
-<unit id="com.fasterxml.jackson.core.jackson-databind" version="0.0.0"/>
-<unit id="com.fasterxml.jackson.datatype.jackson-datatype-guava" version="0.0.0"/>
-<unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="0.0.0"/>
-<unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="0.0.0"/>
-<unit id="com.spotify.docker.client" version="0.0.0"/>
-<unit id="com.spotify.docker.client.source" version="0.0.0"/>
+<unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="2.5.0.v201504151636"/>
+<unit id="com.fasterxml.jackson.core.jackson-annotations" version="2.5.0.v201504151636"/>
+<unit id="com.fasterxml.jackson.core.jackson-core" version="2.5.0.v201504151636"/>
+<unit id="com.fasterxml.jackson.core.jackson-databind" version="2.5.0.v201504151636"/>
+<unit id="com.fasterxml.jackson.datatype.jackson-datatype-guava" version="2.5.0.v201504151636"/>
+<unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="2.5.0.v201504171603"/>
+<unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="2.5.0.v201504171603"/>
+<unit id="com.spotify.docker.client" version="3.4.0.v20160411-1914"/>
+<unit id="com.spotify.docker.client.source" version="3.4.0.v20160411-1914"/>
<unit id="org.bouncycastle.bcprov" version="0.0.0"/>
<unit id="org.bouncycastle.bcpkix" version="0.0.0"/>
<unit id="org.mockito" version="0.0.0"/>
<unit id="org.assertj" version="0.0.0"/>
+<unit id="org.slf4j.api" version="1.7.2.v20121108-1250"/>
<repository location="http://download.eclipse.org/tools/orbit/downloads/drops/S20160916162009/repository/"/>
<repository location="http://download.eclipse.org/linuxtools/docker-client"/>
</location>

Back to the top